---
search:
  tags:
    - 在庫
    - POST
seo:
  description: reservedのみ解除できます。解除済みはそのまま返します。発送待ちはhold_confirmed、出荷済みはhold_shippedで拒否されます。…
sidebar:
  label: 確保を解除する
  badge: POST
title: 確保を解除する
type: openapi-operation
---
reservedのみ解除できます。解除済みはそのまま返します。発送待ちはhold_confirmed、出荷済みはhold_shippedで拒否されます。 inventory:readに加え、この操作のスコープと許可したメンバーのinventory.write権限が必要です。

`POST /inventory/holds/{id}/release`

**Request body** (`application/json`, required)

- `reason` (string, required)

Request body example:

```json
{
  "reason": "string"
}
```

**Responses**

- `200` — 成功
- `400` — \`invalid\_request\`。パラメーターが正しくありません。
- `401` — \`invalid\_token\`。トークンがない、期限切れ、または別のリソース向けです。
- `403` — \`insufficient\_scope\`、\`connection\_revoked\`、\`client\_disabled\`、\`forbidden\` のいずれかです。
- `404` — \`not\_found\`
- `409` — 競合・requestIdの流用・受取未確認
- `422` — 現在の状態・対象・値では実行できません。errorと対象IDを確認します。

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "orderNumber": "string",
  "status": "reserved",
  "version": 0,
  "inventoryItemId": "ef1bc09e-447a-46aa-a9d9-d86e3d490831",
  "purpose": "oripa",
  "destinationLabel": "string",
  "externalRef": "string",
  "expiresAt": "2019-08-24T14:15:22Z",
  "trackingNumber": "string",
  "sale": {
    "amountMinor": 0,
    "currency": "string",
    "source": "entered"
  }
}
```
